Imported Upstream version 2.5.1p1
[debian/amanda] / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 srcdir = @srcdir@
18 top_srcdir = @top_srcdir@
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 top_builddir = .
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 INSTALL = @INSTALL@
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 subdir = .
41 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
42         $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS \
43         ChangeLog INSTALL NEWS
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
46         $(top_srcdir)/configure.in
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48         $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50  configure.lineno configure.status.lineno
51 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
52 CONFIG_HEADER = $(top_builddir)/config/config.h
53 CONFIG_CLEAN_FILES =
54 SOURCES =
55 DIST_SOURCES =
56 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
57         html-recursive info-recursive install-data-recursive \
58         install-exec-recursive install-info-recursive \
59         install-recursive installcheck-recursive installdirs-recursive \
60         pdf-recursive ps-recursive uninstall-info-recursive \
61         uninstall-recursive
62 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
63 am__vpath_adj = case $$p in \
64     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
65     *) f=$$p;; \
66   esac;
67 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
68 am__installdirs = "$(DESTDIR)$(pkgdatadir)"
69 pkgdataDATA_INSTALL = $(INSTALL_DATA)
70 DATA = $(pkgdata_DATA)
71 ETAGS = etags
72 CTAGS = ctags
73 DIST_SUBDIRS = config common-src amandad-src tape-src client-src \
74         dumper-src server-src changer-src restore-src recover-src \
75         oldrecover-src amplot man docs example
76 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77 distdir = $(PACKAGE)-$(VERSION)
78 top_distdir = $(distdir)
79 am__remove_distdir = \
80   { test ! -d $(distdir) \
81     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
82          && rm -fr $(distdir); }; }
83 DIST_ARCHIVES = $(distdir).tar.gz
84 GZIP_ENV = --best
85 distuninstallcheck_listfiles = find . -type f -print
86 distcleancheck_listfiles = find . -type f -print
87 ACLOCAL = @ACLOCAL@
88 ALLOCA = @ALLOCA@
89 AMANDA_DBGDIR = @AMANDA_DBGDIR@
90 AMANDA_DEBUG_DAYS = @AMANDA_DEBUG_DAYS@
91 AMANDA_TMPDIR = @AMANDA_TMPDIR@
92 AMDEP_FALSE = @AMDEP_FALSE@
93 AMDEP_TRUE = @AMDEP_TRUE@
94 AMLINT = @AMLINT@
95 AMLINTFLAGS = @AMLINTFLAGS@
96 AMPLOT_CAT_COMPRESS = @AMPLOT_CAT_COMPRESS@
97 AMPLOT_CAT_GZIP = @AMPLOT_CAT_GZIP@
98 AMPLOT_CAT_PACK = @AMPLOT_CAT_PACK@
99 AMPLOT_COMPRESS = @AMPLOT_COMPRESS@
100 AMTAR = @AMTAR@
101 AM_CFLAGS = @AM_CFLAGS@
102 AR = @AR@
103 AUTOCONF = @AUTOCONF@
104 AUTOHEADER = @AUTOHEADER@
105 AUTOMAKE = @AUTOMAKE@
106 AWK = @AWK@
107 AWK_VAR_ASSIGNMENT_OPT = @AWK_VAR_ASSIGNMENT_OPT@
108 BINARY_OWNER = @BINARY_OWNER@
109 BUILD_MAN_PAGES_FALSE = @BUILD_MAN_PAGES_FALSE@
110 BUILD_MAN_PAGES_TRUE = @BUILD_MAN_PAGES_TRUE@
111 CAT = @CAT@
112 CC = @CC@
113 CCDEPMODE = @CCDEPMODE@
114 CFLAGS = @CFLAGS@
115 CHIO = @CHIO@
116 CHS = @CHS@
117 CLIENT_LOGIN = @CLIENT_LOGIN@
118 CLIENT_SCRIPTS_OPT = @CLIENT_SCRIPTS_OPT@
119 COMPRESS = @COMPRESS@
120 CONFIGURE_COMMAND = @CONFIGURE_COMMAND@
121 CONFIG_DIR = @CONFIG_DIR@
122 CPP = @CPP@
123 CPPFLAGS = @CPPFLAGS@
124 CXX = @CXX@
125 CXXCPP = @CXXCPP@
126 CXXDEPMODE = @CXXDEPMODE@
127 CXXFLAGS = @CXXFLAGS@
128 CYGPATH_W = @CYGPATH_W@
129 DB_EXT = @DB_EXT@
130 DD = @DD@
131 DEFAULT_CHANGER_DEVICE = @DEFAULT_CHANGER_DEVICE@
132 DEFAULT_CONFIG = @DEFAULT_CONFIG@
133 DEFAULT_RAW_TAPE_DEVICE = @DEFAULT_RAW_TAPE_DEVICE@
134 DEFAULT_SERVER = @DEFAULT_SERVER@
135 DEFAULT_TAPE_DEVICE = @DEFAULT_TAPE_DEVICE@
136 DEFAULT_TAPE_SERVER = @DEFAULT_TAPE_SERVER@
137 DEFS = @DEFS@
138 DEPDIR = @DEPDIR@
139 DOC_BUILD_DATE = @DOC_BUILD_DATE@
140 DUMP = @DUMP@
141 DUMPER_DIR = @DUMPER_DIR@
142 ECHO = @ECHO@
143 ECHO_C = @ECHO_C@
144 ECHO_N = @ECHO_N@
145 ECHO_T = @ECHO_T@
146 EGREP = @EGREP@
147 EXEEXT = @EXEEXT@
148 F77 = @F77@
149 FFLAGS = @FFLAGS@
150 GETCONF = @GETCONF@
151 GNUPLOT = @GNUPLOT@
152 GNUTAR = @GNUTAR@
153 GNUTAR_LISTED_INCREMENTAL_DIR = @GNUTAR_LISTED_INCREMENTAL_DIR@
154 GNUTAR_LISTED_INCREMENTAL_DIRX = @GNUTAR_LISTED_INCREMENTAL_DIRX@
155 GREP = @GREP@
156 GZIP = @GZIP@
157 HAVE_XSLTPROC_FALSE = @HAVE_XSLTPROC_FALSE@
158 HAVE_XSLTPROC_TRUE = @HAVE_XSLTPROC_TRUE@
159 INSTALL_DATA = @INSTALL_DATA@
160 INSTALL_PROGRAM = @INSTALL_PROGRAM@
161 INSTALL_SCRIPT = @INSTALL_SCRIPT@
162 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
163 LDFLAGS = @LDFLAGS@
164 LEX = @LEX@
165 LEXLIB = @LEXLIB@
166 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
167 LIBOBJS = @LIBOBJS@
168 LIBS = @LIBS@
169 LIBTOOL = @LIBTOOL@
170 LIBTOOL_DEPS = @LIBTOOL_DEPS@
171 LL_FMT = @LL_FMT@
172 LN_S = @LN_S@
173 LTALLOCA = @LTALLOCA@
174 LTLIBOBJS = @LTLIBOBJS@
175 MAILER = @MAILER@
176 MAKEINFO = @MAKEINFO@
177 MAXTAPEBLOCKSIZE = @MAXTAPEBLOCKSIZE@
178 MCUTIL = @MCUTIL@
179 MT = @MT@
180 MTX = @MTX@
181 MT_FILE_FLAG = @MT_FILE_FLAG@
182 OBJEXT = @OBJEXT@
183 PACKAGE = @PACKAGE@
184 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
185 PACKAGE_NAME = @PACKAGE_NAME@
186 PACKAGE_STRING = @PACKAGE_STRING@
187 PACKAGE_TARNAME = @PACKAGE_TARNAME@
188 PACKAGE_VERSION = @PACKAGE_VERSION@
189 PATH_SEPARATOR = @PATH_SEPARATOR@
190 PCAT = @PCAT@
191 PERL = @PERL@
192 PRINT = @PRINT@
193 RANLIB = @RANLIB@
194 READLINE_LIBS = @READLINE_LIBS@
195 RESTORE = @RESTORE@
196 SAMBA_CLIENT = @SAMBA_CLIENT@
197 SERVICE_SUFFIX = @SERVICE_SUFFIX@
198 SETUID_GROUP = @SETUID_GROUP@
199 SET_MAKE = @SET_MAKE@
200 SHELL = @SHELL@
201 SNAPSHOT_STAMP = @SNAPSHOT_STAMP@
202 STRIP = @STRIP@
203 USE_VERSION_SUFFIXES = @USE_VERSION_SUFFIXES@
204 VDUMP = @VDUMP@
205 VERSION = @VERSION@
206 VERSION_COMMENT = @VERSION_COMMENT@
207 VERSION_MAJOR = @VERSION_MAJOR@
208 VERSION_MINOR = @VERSION_MINOR@
209 VERSION_PATCH = @VERSION_PATCH@
210 VERSION_SUFFIX = @VERSION_SUFFIX@
211 VRESTORE = @VRESTORE@
212 VXDUMP = @VXDUMP@
213 VXRESTORE = @VXRESTORE@
214 WANT_AMPLOT_FALSE = @WANT_AMPLOT_FALSE@
215 WANT_AMPLOT_TRUE = @WANT_AMPLOT_TRUE@
216 WANT_CHG_SCSI_FALSE = @WANT_CHG_SCSI_FALSE@
217 WANT_CHG_SCSI_TRUE = @WANT_CHG_SCSI_TRUE@
218 WANT_CHIO_SCSI_FALSE = @WANT_CHIO_SCSI_FALSE@
219 WANT_CHIO_SCSI_TRUE = @WANT_CHIO_SCSI_TRUE@
220 WANT_CLIENT_FALSE = @WANT_CLIENT_FALSE@
221 WANT_CLIENT_TRUE = @WANT_CLIENT_TRUE@
222 WANT_RECOVER_FALSE = @WANT_RECOVER_FALSE@
223 WANT_RECOVER_TRUE = @WANT_RECOVER_TRUE@
224 WANT_RESTORE_FALSE = @WANT_RESTORE_FALSE@
225 WANT_RESTORE_TRUE = @WANT_RESTORE_TRUE@
226 WANT_RUNTIME_PSEUDO_RELOC_FALSE = @WANT_RUNTIME_PSEUDO_RELOC_FALSE@
227 WANT_RUNTIME_PSEUDO_RELOC_TRUE = @WANT_RUNTIME_PSEUDO_RELOC_TRUE@
228 WANT_SAMBA_FALSE = @WANT_SAMBA_FALSE@
229 WANT_SAMBA_TRUE = @WANT_SAMBA_TRUE@
230 WANT_SERVER_FALSE = @WANT_SERVER_FALSE@
231 WANT_SERVER_TRUE = @WANT_SERVER_TRUE@
232 WANT_SETUID_CLIENT_FALSE = @WANT_SETUID_CLIENT_FALSE@
233 WANT_SETUID_CLIENT_TRUE = @WANT_SETUID_CLIENT_TRUE@
234 WANT_SSH_SECURITY_FALSE = @WANT_SSH_SECURITY_FALSE@
235 WANT_SSH_SECURITY_TRUE = @WANT_SSH_SECURITY_TRUE@
236 WANT_TAPE_FALSE = @WANT_TAPE_FALSE@
237 WANT_TAPE_TRUE = @WANT_TAPE_TRUE@
238 XFSDUMP = @XFSDUMP@
239 XFSRESTORE = @XFSRESTORE@
240 XSLTPROC = @XSLTPROC@
241 YACC = @YACC@
242 ac_c = @ac_c@
243 ac_ct_AR = @ac_ct_AR@
244 ac_ct_CC = @ac_ct_CC@
245 ac_ct_CXX = @ac_ct_CXX@
246 ac_ct_F77 = @ac_ct_F77@
247 ac_ct_RANLIB = @ac_ct_RANLIB@
248 ac_ct_STRIP = @ac_ct_STRIP@
249 ac_n = @ac_n@
250 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
251 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
252 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
253 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
254 am__include = @am__include@
255 am__leading_dot = @am__leading_dot@
256 am__quote = @am__quote@
257 am__tar = @am__tar@
258 am__untar = @am__untar@
259 bindir = @bindir@
260 build = @build@
261 build_alias = @build_alias@
262 build_cpu = @build_cpu@
263 build_os = @build_os@
264 build_vendor = @build_vendor@
265 datadir = @datadir@
266 exec_prefix = @exec_prefix@
267 host = @host@
268 host_alias = @host_alias@
269 host_cpu = @host_cpu@
270 host_os = @host_os@
271 host_vendor = @host_vendor@
272 includedir = @includedir@
273 infodir = @infodir@
274 install_sh = @install_sh@
275 libdir = @libdir@
276 libexecdir = @libexecdir@
277 localstatedir = @localstatedir@
278 mandir = @mandir@
279 mkdir_p = @mkdir_p@
280 oldincludedir = @oldincludedir@
281 prefix = @prefix@
282 program_transform_name = @program_transform_name@
283 sbindir = @sbindir@
284 sharedstatedir = @sharedstatedir@
285 sysconfdir = @sysconfdir@
286 target = @target@
287 target_alias = @target_alias@
288 target_cpu = @target_cpu@
289 target_os = @target_os@
290 target_vendor = @target_vendor@
291 AUTOMAKE_OPTIONS = 1.4 foreign
292 ACINCLUDE_M4 = $(srcdir)/acinclude.m4
293 ACINCLUDE_M4I = $(srcdir)/config/acinclude.m4i
294 LIBTOOL_M4I = $(srcdir)/config/libtool.m4i
295 ACINCLUDE_M4_DEPS = $(ACINCLUDE_M4I) $(LIBTOOL_M4I)
296 @WANT_CLIENT_TRUE@CLIENT_SUBDIRS = client-src dumper-src
297 @WANT_TAPE_TRUE@TAPE_SUBDIRS = tape-src
298 @WANT_SERVER_TRUE@SERVER_SUBDIRS = server-src changer-src
299 @WANT_RESTORE_TRUE@RESTORE_SUBDIRS = restore-src
300 @WANT_RECOVER_TRUE@RECOVER_SUBDIRS = recover-src oldrecover-src
301 @WANT_AMPLOT_TRUE@PLOT_SUBDIRS = amplot
302 # order is significant, don't change it arbitrarily
303 SUBDIRS = \
304         config \
305         common-src \
306         amandad-src \
307         $(TAPE_SUBDIRS) \
308         $(CLIENT_SUBDIRS) \
309         $(SERVER_SUBDIRS) \
310         $(RESTORE_SUBDIRS) \
311         $(RECOVER_SUBDIRS) \
312         $(PLOT_SUBDIRS) \
313         man docs example
314
315 pkgdata_DATA = \
316         ReleaseNotes                    \
317         COPYRIGHT                       \
318         COPYRIGHT-APACHE                \
319         COPYRIGHT-REGEX
320
321 EXTRA_DIST = $(SNAPSHOT_STAMP) \
322         $(pkgdata_DATA)                 \
323         autogen                         \
324         contrib/README                  \
325         contrib/dbbackup.README         \
326         contrib/dbbackup.ksh            \
327         contrib/dbbackup.sql            \
328         contrib/dbbackup.tcl            \
329         contrib/mkamandisk              \
330         contrib/set_prod_link.pl        \
331         contrib/gsc/README              \
332         contrib/gsc/cfggsc.c            \
333         contrib/gsc/defgsc.c            \
334         contrib/gsc/gsc.add             \
335         contrib/gsc/gscdd.c             \
336         contrib/gsc/gscdds.h            \
337         contrib/gsc/makefile            \
338         contrib/gsc/tstinq.c            \
339         contrib/gsc/ucfggsc.c           \
340         patches/regex-3.6alpha.patch    \
341         patches/samba-largefs.patch     \
342         patches/tar-1.12.patch          \
343         regex-src/COPYRIGHT             \
344         regex-src/Makefile              \
345         regex-src/README                \
346         regex-src/WHATSNEW              \
347         regex-src/cclass.h              \
348         regex-src/cname.h               \
349         regex-src/debug.c               \
350         regex-src/engine.c              \
351         regex-src/main.c                \
352         regex-src/mkh                   \
353         regex-src/regcomp.c             \
354         regex-src/regerror.c            \
355         regex-src/regex.3               \
356         regex-src/regex.7               \
357         regex-src/regex2.h              \
358         regex-src/regexec.c             \
359         regex-src/regfree.c             \
360         regex-src/split.c               \
361         regex-src/tests                 \
362         regex-src/utils.h               \
363         regex-src/fake/limits.h         \
364         regex-src/fake/memmove.c        \
365         regex-src/fake/stdlib.h
366
367 CONFIG_STATUS = config.status
368 all: all-recursive
369
370 .SUFFIXES:
371 am--refresh:
372         @:
373 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
374         @for dep in $?; do \
375           case '$(am__configure_deps)' in \
376             *$$dep*) \
377               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
378               cd $(srcdir) && $(AUTOMAKE) --foreign  \
379                 && exit 0; \
380               exit 1;; \
381           esac; \
382         done; \
383         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
384         cd $(top_srcdir) && \
385           $(AUTOMAKE) --foreign  Makefile
386 .PRECIOUS: Makefile
387 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
388         @case '$?' in \
389           *config.status*) \
390             echo ' $(SHELL) ./config.status'; \
391             $(SHELL) ./config.status;; \
392           *) \
393             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
394             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
395         esac;
396
397 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
398         $(SHELL) ./config.status --recheck
399
400 $(top_srcdir)/configure:  $(am__configure_deps)
401         cd $(srcdir) && $(AUTOCONF)
402 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
403         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
404
405 mostlyclean-libtool:
406         -rm -f *.lo
407
408 clean-libtool:
409         -rm -rf .libs _libs
410
411 distclean-libtool:
412         -rm -f libtool
413 uninstall-info-am:
414 install-pkgdataDATA: $(pkgdata_DATA)
415         @$(NORMAL_INSTALL)
416         test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
417         @list='$(pkgdata_DATA)'; for p in $$list; do \
418           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
419           f=$(am__strip_dir) \
420           echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
421           $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
422         done
423
424 uninstall-pkgdataDATA:
425         @$(NORMAL_UNINSTALL)
426         @list='$(pkgdata_DATA)'; for p in $$list; do \
427           f=$(am__strip_dir) \
428           echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
429           rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
430         done
431
432 # This directory's subdirectories are mostly independent; you can cd
433 # into them and run `make' without going through this Makefile.
434 # To change the values of `make' variables: instead of editing Makefiles,
435 # (1) if the variable is set in `config.status', edit `config.status'
436 #     (which will cause the Makefiles to be regenerated when you run `make');
437 # (2) otherwise, pass the desired values on the `make' command line.
438 $(RECURSIVE_TARGETS):
439         @failcom='exit 1'; \
440         for f in x $$MAKEFLAGS; do \
441           case $$f in \
442             *=* | --[!k]*);; \
443             *k*) failcom='fail=yes';; \
444           esac; \
445         done; \
446         dot_seen=no; \
447         target=`echo $@ | sed s/-recursive//`; \
448         list='$(SUBDIRS)'; for subdir in $$list; do \
449           echo "Making $$target in $$subdir"; \
450           if test "$$subdir" = "."; then \
451             dot_seen=yes; \
452             local_target="$$target-am"; \
453           else \
454             local_target="$$target"; \
455           fi; \
456           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
457           || eval $$failcom; \
458         done; \
459         if test "$$dot_seen" = "no"; then \
460           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
461         fi; test -z "$$fail"
462
463 mostlyclean-recursive clean-recursive distclean-recursive \
464 maintainer-clean-recursive:
465         @failcom='exit 1'; \
466         for f in x $$MAKEFLAGS; do \
467           case $$f in \
468             *=* | --[!k]*);; \
469             *k*) failcom='fail=yes';; \
470           esac; \
471         done; \
472         dot_seen=no; \
473         case "$@" in \
474           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
475           *) list='$(SUBDIRS)' ;; \
476         esac; \
477         rev=''; for subdir in $$list; do \
478           if test "$$subdir" = "."; then :; else \
479             rev="$$subdir $$rev"; \
480           fi; \
481         done; \
482         rev="$$rev ."; \
483         target=`echo $@ | sed s/-recursive//`; \
484         for subdir in $$rev; do \
485           echo "Making $$target in $$subdir"; \
486           if test "$$subdir" = "."; then \
487             local_target="$$target-am"; \
488           else \
489             local_target="$$target"; \
490           fi; \
491           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
492           || eval $$failcom; \
493         done && test -z "$$fail"
494 tags-recursive:
495         list='$(SUBDIRS)'; for subdir in $$list; do \
496           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
497         done
498 ctags-recursive:
499         list='$(SUBDIRS)'; for subdir in $$list; do \
500           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
501         done
502
503 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
504         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
505         unique=`for i in $$list; do \
506             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
507           done | \
508           $(AWK) '    { files[$$0] = 1; } \
509                END { for (i in files) print i; }'`; \
510         mkid -fID $$unique
511 tags: TAGS
512
513 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
514                 $(TAGS_FILES) $(LISP)
515         tags=; \
516         here=`pwd`; \
517         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
518           include_option=--etags-include; \
519           empty_fix=.; \
520         else \
521           include_option=--include; \
522           empty_fix=; \
523         fi; \
524         list='$(SUBDIRS)'; for subdir in $$list; do \
525           if test "$$subdir" = .; then :; else \
526             test ! -f $$subdir/TAGS || \
527               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
528           fi; \
529         done; \
530         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
531         unique=`for i in $$list; do \
532             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
533           done | \
534           $(AWK) '    { files[$$0] = 1; } \
535                END { for (i in files) print i; }'`; \
536         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
537           test -n "$$unique" || unique=$$empty_fix; \
538           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
539             $$tags $$unique; \
540         fi
541 ctags: CTAGS
542 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
543                 $(TAGS_FILES) $(LISP)
544         tags=; \
545         here=`pwd`; \
546         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
547         unique=`for i in $$list; do \
548             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
549           done | \
550           $(AWK) '    { files[$$0] = 1; } \
551                END { for (i in files) print i; }'`; \
552         test -z "$(CTAGS_ARGS)$$tags$$unique" \
553           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
554              $$tags $$unique
555
556 GTAGS:
557         here=`$(am__cd) $(top_builddir) && pwd` \
558           && cd $(top_srcdir) \
559           && gtags -i $(GTAGS_ARGS) $$here
560
561 distclean-tags:
562         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
563
564 distdir: $(DISTFILES)
565         $(am__remove_distdir)
566         mkdir $(distdir)
567         $(mkdir_p) $(distdir)/amplot $(distdir)/changer-src $(distdir)/client-src $(distdir)/common-src $(distdir)/contrib $(distdir)/contrib/gsc $(distdir)/dumper-src $(distdir)/example $(distdir)/patches $(distdir)/regex-src $(distdir)/regex-src/fake $(distdir)/server-src
568         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
569         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
570         list='$(DISTFILES)'; for file in $$list; do \
571           case $$file in \
572             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
573             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
574           esac; \
575           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
576           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
577           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
578             dir="/$$dir"; \
579             $(mkdir_p) "$(distdir)$$dir"; \
580           else \
581             dir=''; \
582           fi; \
583           if test -d $$d/$$file; then \
584             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
585               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
586             fi; \
587             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
588           else \
589             test -f $(distdir)/$$file \
590             || cp -p $$d/$$file $(distdir)/$$file \
591             || exit 1; \
592           fi; \
593         done
594         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
595           if test "$$subdir" = .; then :; else \
596             test -d "$(distdir)/$$subdir" \
597             || $(mkdir_p) "$(distdir)/$$subdir" \
598             || exit 1; \
599             distdir=`$(am__cd) $(distdir) && pwd`; \
600             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
601             (cd $$subdir && \
602               $(MAKE) $(AM_MAKEFLAGS) \
603                 top_distdir="$$top_distdir" \
604                 distdir="$$distdir/$$subdir" \
605                 distdir) \
606               || exit 1; \
607           fi; \
608         done
609         $(MAKE) $(AM_MAKEFLAGS) \
610           top_distdir="$(top_distdir)" distdir="$(distdir)" \
611           dist-hook
612         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
613           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
614           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
615           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
616         || chmod -R a+r $(distdir)
617 dist-gzip: distdir
618         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
619         $(am__remove_distdir)
620
621 dist-bzip2: distdir
622         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
623         $(am__remove_distdir)
624
625 dist-tarZ: distdir
626         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
627         $(am__remove_distdir)
628
629 dist-shar: distdir
630         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
631         $(am__remove_distdir)
632
633 dist-zip: distdir
634         -rm -f $(distdir).zip
635         zip -rq $(distdir).zip $(distdir)
636         $(am__remove_distdir)
637
638 dist dist-all: distdir
639         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
640         $(am__remove_distdir)
641
642 # This target untars the dist file and tries a VPATH configuration.  Then
643 # it guarantees that the distribution is self-contained by making another
644 # tarfile.
645 distcheck: dist
646         case '$(DIST_ARCHIVES)' in \
647         *.tar.gz*) \
648           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
649         *.tar.bz2*) \
650           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
651         *.tar.Z*) \
652           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
653         *.shar.gz*) \
654           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
655         *.zip*) \
656           unzip $(distdir).zip ;;\
657         esac
658         chmod -R a-w $(distdir); chmod a+w $(distdir)
659         mkdir $(distdir)/_build
660         mkdir $(distdir)/_inst
661         chmod a-w $(distdir)
662         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
663           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
664           && cd $(distdir)/_build \
665           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
666             $(DISTCHECK_CONFIGURE_FLAGS) \
667           && $(MAKE) $(AM_MAKEFLAGS) \
668           && $(MAKE) $(AM_MAKEFLAGS) dvi \
669           && $(MAKE) $(AM_MAKEFLAGS) check \
670           && $(MAKE) $(AM_MAKEFLAGS) install \
671           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
672           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
673           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
674                 distuninstallcheck \
675           && chmod -R a-w "$$dc_install_base" \
676           && ({ \
677                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
678                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
679                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
680                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
681                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
682               } || { rm -rf "$$dc_destdir"; exit 1; }) \
683           && rm -rf "$$dc_destdir" \
684           && $(MAKE) $(AM_MAKEFLAGS) dist \
685           && rm -rf $(DIST_ARCHIVES) \
686           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
687         $(am__remove_distdir)
688         @(echo "$(distdir) archives ready for distribution: "; \
689           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
690           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
691 distuninstallcheck:
692         @cd $(distuninstallcheck_dir) \
693         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
694            || { echo "ERROR: files left after uninstall:" ; \
695                 if test -n "$(DESTDIR)"; then \
696                   echo "  (check DESTDIR support)"; \
697                 fi ; \
698                 $(distuninstallcheck_listfiles) ; \
699                 exit 1; } >&2
700 distcleancheck: distclean
701         @if test '$(srcdir)' = . ; then \
702           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
703           exit 1 ; \
704         fi
705         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
706           || { echo "ERROR: files left in build directory after distclean:" ; \
707                $(distcleancheck_listfiles) ; \
708                exit 1; } >&2
709 check-am: all-am
710 check: check-recursive
711 all-am: Makefile $(DATA)
712 installdirs: installdirs-recursive
713 installdirs-am:
714         for dir in "$(DESTDIR)$(pkgdatadir)"; do \
715           test -z "$$dir" || $(mkdir_p) "$$dir"; \
716         done
717 install: install-recursive
718 install-exec: install-exec-recursive
719 install-data: install-data-recursive
720 uninstall: uninstall-recursive
721
722 install-am: all-am
723         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
724
725 installcheck: installcheck-recursive
726 install-strip:
727         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
728           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
729           `test -z '$(STRIP)' || \
730             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
731 mostlyclean-generic:
732
733 clean-generic:
734
735 distclean-generic:
736         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
737
738 maintainer-clean-generic:
739         @echo "This command is intended for maintainers to use"
740         @echo "it deletes files that may require special tools to rebuild."
741 clean: clean-recursive
742
743 clean-am: clean-generic clean-libtool mostlyclean-am
744
745 distclean: distclean-recursive
746         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
747         -rm -f Makefile
748 distclean-am: clean-am distclean-generic distclean-libtool \
749         distclean-tags
750
751 dvi: dvi-recursive
752
753 dvi-am:
754
755 html: html-recursive
756
757 info: info-recursive
758
759 info-am:
760
761 install-data-am: install-pkgdataDATA
762
763 install-exec-am:
764
765 install-info: install-info-recursive
766
767 install-man:
768
769 installcheck-am:
770
771 maintainer-clean: maintainer-clean-recursive
772         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
773         -rm -rf $(top_srcdir)/autom4te.cache
774         -rm -f Makefile
775 maintainer-clean-am: distclean-am maintainer-clean-generic
776
777 mostlyclean: mostlyclean-recursive
778
779 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
780
781 pdf: pdf-recursive
782
783 pdf-am:
784
785 ps: ps-recursive
786
787 ps-am:
788
789 uninstall-am: uninstall-info-am uninstall-pkgdataDATA
790
791 uninstall-info: uninstall-info-recursive
792
793 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
794         check-am clean clean-generic clean-libtool clean-recursive \
795         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
796         dist-hook dist-shar dist-tarZ dist-zip distcheck distclean \
797         distclean-generic distclean-libtool distclean-recursive \
798         distclean-tags distcleancheck distdir distuninstallcheck dvi \
799         dvi-am html html-am info info-am install install-am \
800         install-data install-data-am install-exec install-exec-am \
801         install-info install-info-am install-man install-pkgdataDATA \
802         install-strip installcheck installcheck-am installdirs \
803         installdirs-am maintainer-clean maintainer-clean-generic \
804         maintainer-clean-recursive mostlyclean mostlyclean-generic \
805         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
806         tags tags-recursive uninstall uninstall-am uninstall-info-am \
807         uninstall-pkgdataDATA
808
809
810 $(ACINCLUDE_M4): $(ACINCLUDE_M4_DEPS)
811         @-rm -f $@
812         @cat $(ACINCLUDE_M4_DEPS) > $@
813
814 libtool: $(LIBTOOL_DEPS)
815         $(SHELL) ./config.status --recheck
816 $(CONFIG_STATUS): $(SNAPSHOT_STAMP)
817 SNAPSHOT:
818         : SNAPSHOT file was removed, will reconfigure...
819
820 lint:
821         (cd amandad-src; make lint)
822         (cd changer-src; make lint)
823         (cd client-src; make lint)
824         (cd common-src; make lint)
825         (cd oldrecover-src; make lint)
826         (cd recover-src; make lint)
827         (cd regex-src; make lint)
828         (cd restore-src; make lint)
829         (cd server-src; make lint)
830         (cd tape-src; make lint)
831
832 dist-hook:
833         find $(distdir)/. -name '*.test.c' -exec rm {} \;
834 # Tell versions [3.59,3.63) of GNU make to not export all variables.
835 # Otherwise a system limit (for SysV at least) may be exceeded.
836 .NOEXPORT: